#![allow(unused)]

mod common;

use microrm::prelude::*;
use test_log::test;

#[derive(Entity)]
struct Select {
    delete: String,
}

#[derive(Entity)]
struct Group {
    by: microrm::RelationMap<Select>,
}

#[derive(Default, Schema)]
struct ReservedWordDB {
    group: microrm::IDMap<Group>,
}

#[test]
fn open_test() {
    let (_pool, _db): (_, ReservedWordDB) = common::open_test_db!();
}
