use crate::schema::IDMap;

#[derive(Clone, microrm_macros::Entity)]
pub struct MicrormMeta {
    /// Metadata key-value key
    #[key]
    pub key: String,
    /// Metadata key-value value
    pub value: String,
}

#[derive(Default, microrm_macros::Schema)]
pub struct MetadataDB {
    pub metastore: IDMap<MicrormMeta>,
}
